# Final Project phase 01
######state: week0

# 1. Final Project idea

This week I worked on defining my framework for the final project idea and start a rough sketch of it.
Besides, I start to use the new technique of documentation and managing my project.


## Main Idea
The initial idea that I focused on was Fab-city and how it will change the way that we would live in our cities.
Moreover, I tried to make a hypothetical scenario where we live in this situation.
So, I narrow down my vision toward the way that we will be purchasing food.

In my vision, buildings in the city have some type of agricultural products which needed to be marketed, also since these products produced by people they have to have the liberty to sell it themselves.

In the current, the farms are outside the city, and supermarkets are the mediator that gathering and bringing the products to the city. But this model has a lot of waste and a huge carbon footprint. The food waste starts with harvesting and is continued in transportation. So products might go bad during packaging.

The other problem with this system is the amount of unnecessary transportation which happens to get the products to supermarket and after for the citizens to get their groceries.

My project is a vending machine, which acts as a market. It can collect the food products of the neighborhood and sell it to other people in the area. This system acts in a network of machines around the city, which can be optimized for essential items to minimize the travel form producers and customers.  



## Useful links

- [Fabcity](https://sketchfab.com)
- [Coop Pavilion](https://carloratti.com/project/supermarket-of-the-future/)

<iframe width="560" height="315" src="https://www.youtube.com/embed/jDBvunDYGQA" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>


## Cyber-Market

![Fig_1](../images/week01/fig01.jpg)
Fig-1 : Placing my project in the current context of market.

![Fig_2](../images/week01/fig02.jpg)
Fig-2 : Food production in fabric of the city, which merge the boundaries between provider and consumers.

![Fig_3](../images/week01/fig03.jpg)
Fig-3 : The future of the market in context of Fabcity.

![Fig_4](../images/week01/fig04.jpg)
Fig-4 : The network of supermarkets.

![Fig_5](../images/week01/fig05.jpg)
Fig-5 : The network of the Vending machines.

## Plan and schedule

In order to achieve this objective, I want to divide the project into two segments.

In the first phase, I will build the *bottom part* of the vending machine.

For the first prototype of this part, it will be two buttons for *user interaction*, a screen for displaying the product for purchasing, and an *actuation* which moving a motor.

In the next step, the actuation will be upgraded to a *cable robot*, which can grab the objects. Alternatively, a *CNC system* can be used for this matter.

The further upgrade will be a *capacitive touch sensor* for a user to interact with the *display*. This could be advance by adding a Kinect to detect the *gestures* of the user.

The next step is adding a camera to capture the input items from farmers. The OpenCV library for python could be applied for object detection.

#### Relating the assignment to final project

| Assignment              | Idea                                                                   | Alt idea                                                      |                                                                                                |
|-------------------------|------------------------------------------------------------------------|---------------------------------------------------------------|------------------------------------------------------------------------------------------------|
| Potential Final Project | Future supermarket/Foodmarket                                          |                                                               |                                                                                                |
| Git Websit              | Personal websit published in git                                       | Cloud computing with Django                                   |                                                                                                |
| CAD                     | Design the final prototype and render it.                              | OpenModelica structure simulation                             |                                                                                                |
| CAM                     | Minimal Surface LaserCut the Strips and join them                      | make an growable active bended component cover a sell with it |                                                                                                |
| Electronic Production   | Custom PCM to read data from sensors and send it to the raspberry pi   | a virtual router for tour node                                |                                                                                                |
| CNC                     | CNC the Bottom part of the vending machine structure                   | 3d scanne a trunk and cnc with robot a joinery system         | Make a cube with plywood then cnc it from different side a chair based on its 3D force diagram |
| Electronic Design       | Custom PCM to control the stepper motor   | a virtual router for tour node                                |                                                                                                |
| Molding and casting     | Casting the camera and sensor holder                                   |                                                               | Iphone case                                                                                    |
| Composites              | front panel for vending machine which will carry the capasitive sensor |                                                               | Iphone case Shell with carbon  fiber and resin                                                 |
| Embedded Programming    | Gesture detection for capasitive sensor                                | Bject detection with camera                                   | Web request to the online platfrom for the data                                                |
| 3d scanne and printing  | Scanning the fruits and vegetables for detection trunk                              |                                                               |                                                                                                |
| Sensor                  | Capsitive sensor/ Camera/ Kinect2/ nfc                                 |                                                               |                                                                                                |
| Interface               | AR interface for vending machine                                       | Display of the vending machine                                |                                                                                                |
| Machine design          | The Cartesian system for acessing object in the vending machine        |                                                               |                                                                                                |
| Wild Card               | scan and CNC the trunk of wood with robotic arm                        |                                                               |                                                                                                |
