# 3. 2D and 3D modeling
##### exploring various software
---

# 2D drawing

I have used to use adobe illustrator and Photoshop for this proposes. Even I did the diagram of my project in illustrator. A part from including my experience with dose software I am gonna try new open software for this week.

---

## illustrator

The workflow of the illustrator is starting by defining the size of the artboard and the settings of it.
There are many predefine settings that it is possible to choose from or you can make your own custom settings.
I think the most important setting is the unit. Also if you do not sure about the exact sizes, you can just open a generic page (what I usually do is just opening A4 page or web depends on the purpose of the work) since most of this settings can be adjusted later.

## Photoshop

I mostly using photoshop for image editing and composition. Although it has many powerful tools for drawing however I personally prefer to do the drawing with vector base software. One of the amazing capabilities of photoshop is recording the actions and batch modifications. It is not as accessible as [imagemagick](https://imagemagick.org/index.php), but it can give similar experience with a bit of visual interface which of course costing computationally compare to imagemagick.

---
## Inkspace

The interface a bit difficult since I used to illustrator but after awhile I got the flow. The interface is not so easy to catch but very functional. There live xml text and the cloning objects is very use full for web developing. It also has a wide variety of exporting options.

As you can see in the image below the icons of the software are very small due to in compatibility problem of the software with 4k resolution. Seams they fixed it in the [version 1.02beta](https://bugs.launchpad.net/inkscape/+bug/1789858) but I read on their forum that its not a stable version. There is also a [modifier](https://bugs.launchpad.net/inkscape/+bug/1714646) that you can add to the installation rut to solve the problem.

I start the process of trying this software by drawing path and other objects. I realized how versatile they are and also feel a bit more comfortable with the environment. Still do not like the swatch panel down and the weird way that its works.

furthermore, I find a set of tools (3d Box, Tweak object like sculpture) quit interesting for architectural illustration. You can make a set of buildings by 3D box and then add texture and modify those with the tweak tools.

The other thing that I found very help full is the object managements and I really liked the cloning capability.


<div>
  <div>
    <figure class="figure">
      <img src="../../images/week3/Inkspace/fig01-environment.jpg" class="figure-img img-fluid rounded w-75 p-3">
      <figcaption class="figure-caption">Fig-1: environment</figcaption>
  </div>
  <div>    
    </figure>
    <figure class="figure">
      <img src="../../images/week3/Inkspace/fig02-FirstExp.jpg" class="figure-img img-fluid rounded w-75 p-3">
      <figcaption class="figure-caption">Fig-2: My first try</figcaption>
    </figure>
  </div>
  <div>
    <figure class="figure">
      <img src="../../images/week3/Inkspace/fig03-FirstExp01.jpg" class="figure-img img-fluid rounded w-75 p-3">
      <figcaption class="figure-caption">Fig-3: further experiment</figcaption>
    </figure>
  </div>
  <div>
    <figure class="figure">
      <img src="../../images/week3/Inkspace/fig04-NewLayer.jpg" class="figure-img img-fluid rounded w-75 p-3">
      <figcaption class="figure-caption">Fig-4: add new layer</figcaption>
    </figure>
  </div>
  <div>
    <figure class="figure">
      <img src="../../images/week3/Inkspace/fig05-Union.jpg" class="figure-img img-fluid rounded w-75 p-3">
      <figcaption class="figure-caption">Fig-5: Boolean Union</figcaption>
    </figure>
  </div>
  <div>
    <figure class="figure">
      <img src="../../images/week3/Inkspace/fig06-Inkspace-clone.jpg" class="figure-img img-fluid rounded w-75 p-3">
      <figcaption class="figure-caption">Fig-6: clone object</figcaption>
    </figure>
  </div>
</div>

---

# 3D modeling

I have been using 3d modeling software since I start my academic study in architecture. The software that I used was AutoCAD, Revit, SketchUp, and Rhino. Moreover, In the recent 5 years of my study I used Grasshopper add on for Rhino, which is a visual programing environment. So for this week I will include my modeling process in Rhino and Grasshopper, but I will push to model my project in fusion 360 as well.  

---
## Rhino

So the work flow that I followed for making the 3D model of my final project is starting from a rectangle. Then I made a box out of it. In the next step, I draw a section of the design. By extruding the line I made a surface which I used for splitting the main box. I implemented the same procedure for modeling the front of the design. You can check the step in following images.

---
<div id="Rhino" class="carousel slide" data-ride="carousel">
  <ol class="carousel-indicators">
    <li data-target="#Rhino" data-slide-to="0" class="active"></li>
    <li data-target="#Rhino" data-slide-to="1"></li>
    <li data-target="#Rhino" data-slide-to="2"></li>
    <li data-target="#Rhino" data-slide-to="3"></li>
    <li data-target="#Rhino" data-slide-to="4"></li>
    <li data-target="#Rhino" data-slide-to="5"></li>
    <li data-target="#Rhino" data-slide-to="6"></li>
    <li data-target="#Rhino" data-slide-to="7"></li>
    <li data-target="#Rhino" data-slide-to="8"></li>
    <li data-target="#Rhino" data-slide-to="9"></li>
    <li data-target="#Rhino" data-slide-to="10"></li>
    <li data-target="#Rhino" data-slide-to="11"></li>
    <li data-target="#Rhino" data-slide-to="12"></li>
    <li data-target="#Rhino" data-slide-to="13"></li>
    <li data-target="#Rhino" data-slide-to="14"></li>
    <li data-target="#Rhino" data-slide-to="15"></li>
    <li data-target="#Rhino" data-slide-to="16"></li>
    <li data-target="#Rhino" data-slide-to="17"></li>
    <li data-target="#Rhino" data-slide-to="18"></li>
    <li data-target="#Rhino" data-slide-to="19"></li>
    <li data-target="#Rhino" data-slide-to="20"></li>
    <li data-target="#Rhino" data-slide-to="21"></li>

  </ol>
  <div class="carousel-inner">
    <div class="carousel-item active">
      <img src="../../images/week3/rhino/fig01-Rhino3d.jpg" class="d-block w-100" >
      <div class="carousel-caption d-none d-md-block">
        <p>Environment</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig20-Rhino3dRec.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Drawing a rectangle</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig13-Rhino3dPlanarSrf.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Make planar surface with the rectangle</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig06-Rhino3dExtrudSrf.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Extrude surface</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig12-Rhino3dOffset.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Offset the edge of rectangle</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig21-Rhino3dscale1d.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Scale rectangle</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig02-Rhino3dCopy.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>copy</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig08-Rhino3dMirror.jpg" class="d-block w-100" >
      <div class="carousel-caption d-none d-md-block">
        <p>Mirror</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig10-Rhino3dNewLayer.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>New Layer</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig11-Rhino3dNewLayerColor.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>change the layer color</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig14-Rhino3dpolyline.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Draw polyline as guide</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig15-Rhino3dPolylineOnRightview.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Changing view for drawing in a different plane</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig16-Rhino3dPolylineOnRightviewERROR.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Turn on the project on the bottom center to avoid this error</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig17-Rhino3dPolylineOnRightviewSOLUTION.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Followed the error in above do the drawing with project.</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig18-Rhino3dPolylineOnRightviewSOLUTION_0.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>The result of this approach will be like this</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig05-Rhino3dExtrudCrv.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Extrude curve</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig19-Rhino3dProjection.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Project  curve to the surface</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig07-Rhino3dMake2d.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Make 2D</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig08-Rhino3dMake2dOUT.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Export Vector file</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/rhino/fig03-Rhino3dExportSelected.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Export Selected</p>
      </div>
    </div>
        <div class="carousel-item">
      <img src="../../images/week3/rhino/fig04-Rhino3dExportSelectedIllustrator.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Export Selected illustrator</p>
      </div>
    </div>
  </div>
  <a class="carousel-control-prev" href="#Rhino" role="button" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#Rhino" role="button" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>



My approach for modeling this geometry was to build a simple box and then substract the geometry that I want out of it. I could also construct the geometry from the beginning in this shape. The most important part in modeling for me is organizing the layers which wasn't the case here but for more complex design it is essential.

---

## Grasshopper

For developing this modal in Grasshopper I decided to based my model on the front of the machine dimension. So I started from a rectangle and extruded to make a box. Then after deconstruction of the brep I realized that the data and geometry format is not fit to my design. So I went through a complex data organization in order to make fulfill the criteria. You can follow the steps and final result in below.

first let start with simple geometries.

<div id="Grasshopper" class="carousel slide" data-ride="carousel">
  <ol class="carousel-indicators">
    <li data-target="#Grasshopper" data-slide-to="0" class="active"></li>
    <li data-target="#Grasshopper" data-slide-to="1"></li>
    <li data-target="#Grasshopper" data-slide-to="2"></li>
    <li data-target="#Grasshopper" data-slide-to="3"></li>
    <li data-target="#Grasshopper" data-slide-to="4"></li>
    <li data-target="#Grasshopper" data-slide-to="5"></li>
    <li data-target="#Grasshopper" data-slide-to="6"></li>
    <li data-target="#Grasshopper" data-slide-to="7"></li>
  </ol>
  <div class="carousel-inner">
    <div class="carousel-item active">
      <img src="../../images/week3/grasshopper/fig06-OpenGH.jpg)" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Opening the Grasshopper Plug-in for rhino</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/grasshopper/fig07-paramBox.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Drawing a parametric Box based on 3 dimensions of it.</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/grasshopper/fig08-parametricCircle.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Draw circle with a plane and radius size</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/grasshopper/fig09-parmCylander.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Extrude the circle in Z direction to make a open Cylinder</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/grasshopper/fig01-rectangle.JPG" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Draw a rectangle based one parameter with ratio of 1:1.5</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/grasshopper/fig02-box.JPG" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>construct a box with the rectangle and height parameter.</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/grasshopper/fig03-DataMachinig.JPG" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Deconstruction of the box and Select two parallel side..</p>
      </div>
    </div>
  </div>
  <a class="carousel-control-prev" href="#Grasshopper" role="button" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#Grasshopper" role="button" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>




**Note: here I faced the problem of machining the parameter of each surface.
My approach here is geometrical but this could be solved with numerical manipulation as well.
Basically, I sort each side of the box in a branch then align one of them in respect to the other one.**

![](../images/week3/grasshopper/fig04-applyingtheDesign.JPG)

Fig-8: drawing polyline on the side surface base on the UV parameter of the surface

![](../images/week3/grasshopper/fig05-FinalGeo.JPG)

Fig-9: Split the sides with curves and then loft them together.


<iframe width="560" height="315" src="https://www.youtube.com/embed/cQMsyJEB6Yk" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

I design a parametric model of my final project and animate the process with grasshopper.
after extracting the frames, I assembled them with [processing](https://processing.org/).

## Fusion 360

Before this week I just once used this software for a very small detail design. The interface of the software is very user-friendly. What I like the most about the fusion is the fact that software designed to help designers build their design. The simulation tab is one of my favorite cause it is shows me the feasibility of my ideas. Although the parametric design was not so convenient at the beginning, but then when I wanted to work on a same projects in the different files I realized how powerful it is to have it in this way. I shared couple of my experience below.

---
<div id="Fusion" class="carousel slide" data-ride="carousel">
  <ol class="carousel-indicators">
    <li data-target="#Fusion" data-slide-to="0" class="active"></li>
    <li data-target="#Fusion" data-slide-to="1"></li>
    <li data-target="#Fusion" data-slide-to="2"></li>
    <li data-target="#Fusion" data-slide-to="3"></li>
    <li data-target="#Fusion" data-slide-to="4"></li>
    <li data-target="#Fusion" data-slide-to="5"></li>
    <li data-target="#Fusion" data-slide-to="6"></li>
    <li data-target="#Fusion" data-slide-to="7"></li>
    <li data-target="#Fusion" data-slide-to="8"></li>
    <li data-target="#Fusion" data-slide-to="9"></li>
    <li data-target="#Fusion" data-slide-to="10"></li>
  </ol>
  <div class="carousel-inner">
    <div class="carousel-item active">
      <img src="../../images/week3/fusion/fig01-MakeBox.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>MakeBox</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/fusion/fig02-DrawlineSrf.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Draw line on srface plane</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/fusion/fig03-Extract.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Cut the geometry with the Curve</p>
      </div>
    </div>
        <div class="carousel-item">
      <img src="../../images/week3/fusion/fig04-makehollow.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Make hole in the geometry</p>
      </div>
    <div class="carousel-item">
      <img src="../../images/week3/fusion/fig07-ParametricProfile.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>The design of the module</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="../../images/week3/fusion/fig05-Paramets.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>The list of parameter that has been used for this module</p>
      </div>
    </div>
        <div class="carousel-item">
      <img src="../../images/week3/fusion/fig06-ParametricGrowableComponent.jpg." class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Growth of the modules combinations</p>
      </div>
    </div>
    </div>
        <div class="carousel-item">
      <img src="../../images/week3/fusion/fig08-Simulation.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Force simulation of centeral ellement based on joinery</p>
      </div>
    </div>
        <div class="carousel-item">
      <img src="../../images/week3/fusion/fig09-ImportingMechianicparts.jpg" class="d-block w-100">
      <div class="carousel-caption d-none d-md-block">
        <p>Possiblity to add component from venders websites</p>
      </div>
    </div>
  </div>
  <a class="carousel-control-prev" href="#Fusion" role="button" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#Fusion" role="button" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>

## Blender and FreeCAD

So I was trying to come out of my comfort zone and try other 3D software. Blender and freeCAD are good open source software which grow in the recent year. I have to admit that I have not put enough time to learn for this two software but I hope that I would be able to learn them in during the course.

![](../images/week3/Bleneder/BlenderEnv.jpg)
Fig-1: Blender environment
![](../images/week3/Bleneder/make.jpg)
Fig-1: Make some
![](../images/week3/Bleneder/Move.jpg)
Fig-1: Move
![](../images/week3/Bleneder/Rotation.jpg)
Fig-1: Rotation
![](../images/week3/Bleneder/Scale.jpg)
Fig-1: Scale
![](../images/week3/Bleneder/Bool01.jpg)
Fig-1: Boolean operation01
![](../images/week3/Bleneder/Bool02.jpg)
Fig-1: Boolean operation02
![](../images/week3/Bleneder/Bool03.jpg)
Fig-1: Boolean operation03
![](../images/week3/Bleneder/Cylander.jpg)
Fig-1: Cylinder
![](../images/week3/FreeCAD/Addconstrain.jpg)
![](../images/week3/FreeCAD/Addconstrain01.jpg)
Fig-1: FreeCAD Add strain

## Conclusion

 After experimenting with different tools. I realized that the graphical interface of the grasshopper is very handy for me.
 Also I really liked the simulation part of the fusion360 which make the workflow of CAD much closer to the final products.
 From my limited exploration in Blender I realize it has a huge potential. I really like the python console which allow you to communicate with software without limitation.
 the other grate aspect of blender is the community around it which be able to have access to countless resources.
 furthermore, I could not use freeCAD so much because of its interface since it is a open source project I hope it get further in that side.
 I think I would try to use Rhino+Grasshopper and Fusuin360 for my Final Project.

## Files

All the files are available in the following [link](https://gitlab.fabcloud.org/academany/fabacademy/2020/labs/barcelona/students/arman-najari/-/raw/master/.file/Week03/Week03.rar)!
